include	clib.inc
include	dos.inc

PPROC	wsetacdate, path:DPTR, acdate:word
	push	di
	MPUSH	ds
	MLDS	dx,path
	mov	di,acdate
	stc
	mov	ax,7143h
	mov	bl,5
	int	21h
	MPOP	ds
	pop	di
	jc	wsetacdate_error
	xor	ax,ax
    wsetacdate_toend:
	ret
    wsetacdate_error:
	call	@dosmaper
	mov	ax,-1
	jmp	wsetacdate_toend
PEND	wsetacdate

	END
